{
	"0: data": {
		"srcIndexStart": "0", 
		"file": "docssrc/docs.Tools.DumpCGT.tmpl", 
		"parseTreeMode": "true", 
		"srcLength": "837", 
		"source": "[$name|DumpCGT$]
[$title|DumpCGT$]
[$frame|HTMLPage.tmpl$]
<p>
Dumps the data in a
[$pageLink| CGT | CGT file $]
to human-readable text.
</p>

<h3>Usage:</h3>
<div class=\"code-plain\">&gt;[$code|user| goldie-dumpcgt languagefile.cgt $]
or
&gt;[$code|user| goldie-dumpcgt languagefile.cgt > languagefile.cgt.txt $]</div>

<h3>Example:</h3>
<p>
Using the included
[$link|https://bitbucket.org/Abscissa/goldie/src/v0.8/lang/calc.cgt| lang/calc.cgt $]
(The grammar source for this language can be found in
[$link|https://bitbucket.org/Abscissa/goldie/src/v0.8/lang/calc.grm| lang/calc.grm $]):
</p>
<div class=\"code-plain\">&gt;[$code|user| goldie-dumpcgt lang/calc.cgt > lang/calc.cgt.txt $]</div>
<p>
The results of the above can be seen in
[$link|https://bitbucket.org/Abscissa/goldie/src/v0.8/lang/calc.cgt.txt| lang/calc.cgt.txt $].
</p>
", 
		"0: name": {
			"srcIndexStart": "0", 
			"data": "DumpCGT", 
			"srcLength": "16", 
			"0: data": {
				"srcIndexStart": "7", 
				"data": "DumpCGT", 
				"srcLength": "7"
			}
		}, 
		"1: data": {
			"srcIndexStart": "16", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"2: title": {
			"srcIndexStart": "17", 
			"data": "DumpCGT", 
			"srcLength": "17", 
			"0: data": {
				"srcIndexStart": "25", 
				"data": "DumpCGT", 
				"srcLength": "7"
			}
		}, 
		"3: data": {
			"srcIndexStart": "34", 
			"data": "
", 
			"srcLength": "1"
		}, 
		"4: frame": {
			"srcIndexStart": "35", 
			"data": "HTMLPage.tmpl", 
			"srcLength": "23", 
			"0: data": {
				"srcIndexStart": "43", 
				"data": "HTMLPage.tmpl", 
				"srcLength": "13"
			}
		}, 
		"5: data": {
			"srcIndexStart": "58", 
			"data": "
<p>
Dumps the data in a
", 
			"srcLength": "25"
		}, 
		"6: pageLink": {
			"srcIndexStart": "83", 
			"param 0": "CGT", 
			"data": "CGT file", 
			"srcLength": "29", 
			"0: data": {
				"srcIndexStart": "100", 
				"data": "CGT file", 
				"srcLength": "10"
			}
		}, 
		"7: data": {
			"srcIndexStart": "112", 
			"data": "
to human-readable text.
</p>

<h3>Usage:</h3>
<div class=\"code-plain\">&gt;", 
			"srcLength": "75"
		}, 
		"8: code": {
			"srcIndexStart": "187", 
			"param 0": "user", 
			"data": "goldie-dumpcgt languagefile.cgt", 
			"srcLength": "47", 
			"0: data": {
				"srcIndexStart": "199", 
				"data": "goldie-dumpcgt languagefile.cgt", 
				"srcLength": "33"
			}
		}, 
		"9: data": {
			"srcIndexStart": "234", 
			"data": "
or
&gt;", 
			"srcLength": "8"
		}, 
		"10: code": {
			"srcIndexStart": "242", 
			"param 0": "user", 
			"data": "goldie-dumpcgt languagefile.cgt &gt; languagefile.cgt.txt", 
			"srcLength": "70", 
			"0: data": {
				"srcIndexStart": "254", 
				"data": "goldie-dumpcgt languagefile.cgt > languagefile.cgt.txt", 
				"srcLength": "56"
			}
		}, 
		"11: data": {
			"srcIndexStart": "312", 
			"data": "</div>

<h3>Example:</h3>
<p>
Using the included
", 
			"srcLength": "49"
		}, 
		"12: link": {
			"srcIndexStart": "361", 
			"param 0": "https://bitbucket.org/Abscissa/goldie/src/v0.8/lang/calc.cgt", 
			"data": "lang/calc.cgt", 
			"srcLength": "85", 
			"0: data": {
				"srcIndexStart": "429", 
				"data": "lang/calc.cgt", 
				"srcLength": "15"
			}
		}, 
		"13: data": {
			"srcIndexStart": "446", 
			"data": "
(The grammar source for this language can be found in
", 
			"srcLength": "55"
		}, 
		"14: link": {
			"srcIndexStart": "501", 
			"param 0": "https://bitbucket.org/Abscissa/goldie/src/v0.8/lang/calc.grm", 
			"data": "lang/calc.grm", 
			"srcLength": "85", 
			"0: data": {
				"srcIndexStart": "569", 
				"data": "lang/calc.grm", 
				"srcLength": "15"
			}
		}, 
		"15: data": {
			"srcIndexStart": "586", 
			"data": "):
</p>
<div class=\"code-plain\">&gt;", 
			"srcLength": "36"
		}, 
		"16: code": {
			"srcIndexStart": "622", 
			"param 0": "user", 
			"data": "goldie-dumpcgt lang/calc.cgt &gt; lang/calc.cgt.txt", 
			"srcLength": "64", 
			"0: data": {
				"srcIndexStart": "634", 
				"data": "goldie-dumpcgt lang/calc.cgt > lang/calc.cgt.txt", 
				"srcLength": "50"
			}
		}, 
		"17: data": {
			"srcIndexStart": "686", 
			"data": "</div>
<p>
The results of the above can be seen in
", 
			"srcLength": "51"
		}, 
		"18: link": {
			"srcIndexStart": "737", 
			"param 0": "https://bitbucket.org/Abscissa/goldie/src/v0.8/lang/calc.cgt.txt", 
			"data": "lang/calc.cgt.txt", 
			"srcLength": "93", 
			"0: data": {
				"srcIndexStart": "809", 
				"data": "lang/calc.cgt.txt", 
				"srcLength": "19"
			}
		}, 
		"19: data": {
			"srcIndexStart": "830", 
			"data": ".
</p>", 
			"srcLength": "7"
		}
	}
}